# Generated by Django 3.0.6 on 2020-06-12 18:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='EgaBoxNumbersAvailable',
            fields=[
                ('ega_numbers_disponibles', models.CharField(max_length=1000, primary_key=True, serialize=False)),
                ('ega_maxim', models.PositiveIntegerField()),
                ('quantity', models.IntegerField()),
            ],
        ),
        migrations.AddField(
            model_name='accountstableids',
            name='submission_boxes',
            field=models.OneToOneField(default='1', on_delete=django.db.models.deletion.CASCADE, to='accounts.SubmissionBoxes'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='accountstableids',
            name='account_accession',
            field=models.CharField(max_length=50, unique=True),
        ),
        migrations.AlterField(
            model_name='accountstableids',
            name='ega_box_text',
            field=models.CharField(max_length=100, primary_key=True, serialize=False, unique=True),
        ),
        migrations.AlterField(
            model_name='accountstableids',
            name='submission_account',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='accounts.SubmissionAccounts'),
        ),
        migrations.AlterField(
            model_name='submissionaccounts',
            name='account_accession',
            field=models.CharField(max_length=50, unique=True),
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=600)),
                ('submissionAccounts_country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='counthry', to='accounts.SubmissionAccounts')),
            ],
            options={
                'db_table': 'country',
            },
        ),
    ]
